Bug 735615 - wrong key routing
wrong key routing
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-04 03:23 EDT by Steve
Modified: 2013-04-30 19:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-18 09:27:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve 2011-09-04 03:23:23 EDT
Description of problem:
The keys loaded on the Tigervnc-Client are Swiss-German (qwertz). The keys loaded on the Remote-Desktop are also Swiss-German (qwertz). But the key-routing trough the Tigervnc-Client are in english (qwerty).

Version-Release number of selected component (if applicable):
tigervnc-1.0.90-4.fc15.x86_64
vino-3.0.2-2.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
Connect (with QWERTZ) to a Remote Desktop where the keys loaded are QWERTZ.
  
Actual results:
The routing will be in english (qwerty)

Expected results:


Additional info:
Comment 1 Adam Tkac 2011-09-12 11:27:35 EDT
I'm not fully understand this report.

The viewer sends keys as X11 keysyms, as specified in the RFB protocol used by VNC. There is no knowledge about actual keyboard type (us/de, qwerty/qwertz) from the RFB proto point of view.

May I ask you if you have any keyboard issues when you use vino and TigerVNC viewer, please? (for example wrong keys are emitted on the server side)
Comment 2 Steve 2011-09-12 11:59:09 EDT
(In reply to comment #1)
> I'm not fully understand this report.
> 
> The viewer sends keys as X11 keysyms, as specified in the RFB protocol used by
> VNC. There is no knowledge about actual keyboard type (us/de, qwerty/qwertz)
> from the RFB proto point of view.
> 
> May I ask you if you have any keyboard issues when you use vino and TigerVNC
> viewer, please? (for example wrong keys are emitted on the server side)

I already use vino and TigerVNC-viewer, this is the report.
Comment 3 Steve 2011-09-18 09:27:57 EDT
This bug is fixed with one of the last updates. Closing..

Note You need to log in before you can comment on or make changes to this bug.